> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> List the members of a group for a given GUID

# List

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /groups/{guid}/members
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /groups/{guid}/members:
    get:
      tags:
        - Group Members
      summary: List
      description: List the members of a group for a given GUID
      operationId: list-group-members
      parameters:
        - $ref: '#/components/parameters/guid'
        - name: perPage
          in: query
          description: >-
            Number of users to be fetched in a request. The default value is 100
            and the maximum value is 1000.
          schema:
            type: integer
            default: '100'
        - name: status
          in: query
          description: >-
            Group members list can be fetched depending on the user status.
            (available,offline).
          schema:
            type: string
            enum:
              - available
              - offline
            description: User status filter.
        - name: page
          in: query
          description: Page Number.
          schema:
            type: integer
            default: '1'
        - name: scopes
          in: query
          description: Fetches group members based on multiple scope.
          style: form
          explode: false
          schema:
            type: array
            items: {}
      responses:
        '200':
          description: Create Group Members
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                  meta:
                    type: object
                type: object
              example:
                data:
                  - uid: cometchat-uid-2
                    name: George Alan
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp
                    status: offline
                    role: default
                    scope: participant
                    joinedAt: 1638360106
                    createdAt: 1629869270
                    updatedAt: 1630308676
                    conversationId: cometchat-uid-2_user_cometchat-uid-4
                  - uid: cometchat-uid-3
                    name: George Alan
                    link: https://data-us.cometchat.io/assets
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp
                    metadata:
                      contactNumber: '0123456789'
                    status: offline
                    role: default
                    scope: participant
                    joinedAt: 1638360106
                    createdAt: 1629869270
                    updatedAt: 1638351060
                    conversationId: cometchat-uid-3_user_cometchat-uid-4
                  - uid: cometchat-uid-5
                    name: John Paul
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-5.webp
                    status: offline
                    role: default
                    scope: moderator
                    joinedAt: 1638360106
                    createdAt: 1629869270
                    conversationId: cometchat-uid-4_user_cometchat-uid-5
                  - uid: cometchat-uid-4
                    name: Susan Marie
                    avatar: >-
                      https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-4.webp
                    status: offline
                    role: default
                    scope: admin
                    joinedAt: 1638359534
                    createdAt: 1629869270
                meta:
                  pagination:
                    total: 0
                    count: 5
                    per_page: 100
                    current_page: 1
                    total_pages: 1
                cursor:
                  updatedAt: 1638354799
                  affix: prepend
      security:
        - apiKey: []
components:
  parameters:
    guid:
      name: guid
      in: path
      description: A GUID of a group.
      required: true
      schema:
        type: string
      examples:
        string:
          summary: GUID
          value: cometchat-guid-1
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````